Get Store Product Series
HTTPBearerAuthorizationBearer <token>store_id*Store Iddate_from*Date FromFirst shop calendar day of the period (inclusive).
datedate_to*Date ToLast shop calendar day of the period (inclusive); at most tomorrow (UTC); the period is at most 366 days inclusive.
datecurrency?|Currency to convert into; defaults like GET /analytics/store-revenue?store_ids=<store_id>: the organization's default currency, else the most common shop currency.
vendor?array<string>|Only linked products with any of these vendors (OR within field)
product_type?array<string>|Only linked products with any of these product types (OR within field)
subtract_refunds?Subtract RefundsSubtract refunds (RETURN sales) on the day of the refund. False: RETURN sales count in no amount; orders and units are unchanged.
trueSuccessful Response
application/json- response
The top 6 products of one store by net in the period (the order of GET /analytics/store-revenue/{store_id}/products), each with its net per bucket of GET /analytics/store-revenue, converted into currency at today's rate.
bucket*Bucket"hour""day""week"currency*|nullproducts*array<>curl -X GET 'https://app.copyhero.app/api/v1/analytics/store-revenue/0/products/series?date_from=2019-08-24&date_to=2019-08-24'{ "bucket": "hour", "currency": "AED", "products": [ { "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598", "title": "string", "series": [ { "start": "2019-08-24T14:15:22Z", "net": "string" } ] } ]}